/**
* 文件：MateriaBomVersionQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.materia.model;
import java.util.List;

/**
 * <p>Title: 物料BOM版本表</p>
 * <p>Description: MateriaBomVersionQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class MateriaBomVersionQuery extends MateriaBomVersionEntity{
	private static final long serialVersionUID = 1614064931432L;
	/** 开始 ID，自增长 */
	private Long idStart;

	/** 结束 ID，自增长 */
	private Long idEnd;

	/** 增加 ID，自增长 */
	private Long idIncrement;

	/** ID，自增长 */
	private List<Long> idList;

	/** 开始 BOM表ID，默认-1,有BOM产品选择 */
	private Long bomIdStart;

	/** 结束 BOM表ID，默认-1,有BOM产品选择 */
	private Long bomIdEnd;

	/** 增加 BOM表ID，默认-1,有BOM产品选择 */
	private Long bomIdIncrement;

	/** BOM表ID，默认-1,有BOM产品选择 */
	private List<Long> bomIdList;

	/** BOM代码，包含父类目代码，如WMQ.4G */
	private List<String> bomCodeList;

	/** 开始 所属物料ID */
	private Long materiaIdStart;

	/** 结束 所属物料ID */
	private Long materiaIdEnd;

	/** 增加 所属物料ID */
	private Long materiaIdIncrement;

	/** 所属物料ID */
	private List<Long> materiaIdList;

	/** 所属物料代码 */
	private List<String> materiaCodeList;

	/** 公司代号，参数配置-VerCompanyCode格物G,智魔王Z,默认G */
	private List<String> companyCodeList;

	/** 扩展编码，扩展编码，发布时会添加到产品代码后面 */
	private List<String> codeList;

	/** 研发类型，参数配置-VerRdCode硬件H，嵌入式E，软件S，产品设计P，默认P */
	private List<String> rdCodeList;

	/** 开始 主迭代号，默认1，页面选择 */
	private Integer verNum01Start;

	/** 结束 主迭代号，默认1，页面选择 */
	private Integer verNum01End;

	/** 增加 主迭代号，默认1，页面选择 */
	private Integer verNum01Increment;

	/** 主迭代号，默认1，页面选择 */
	private List<Integer> verNum01List;

	/** 开始 次迭代号，默认0，页面选择 */
	private Integer verNum02Start;

	/** 结束 次迭代号，默认0，页面选择 */
	private Integer verNum02End;

	/** 增加 次迭代号，默认0，页面选择 */
	private Integer verNum02Increment;

	/** 次迭代号，默认0，页面选择 */
	private List<Integer> verNum02List;

	/** 开始 修正迭代号，默认0，页面选择 */
	private Integer verNum03Start;

	/** 结束 修正迭代号，默认0，页面选择 */
	private Integer verNum03End;

	/** 增加 修正迭代号，默认0，页面选择 */
	private Integer verNum03Increment;

	/** 修正迭代号，默认0，页面选择 */
	private List<Integer> verNum03List;

	/** 阶段标识，参数配置-VerStageCode */
	private List<String> stageList;

	/** 开始 阶段号，默认1,向上累加 */
	private Long stageNumStart;

	/** 结束 阶段号，默认1,向上累加 */
	private Long stageNumEnd;

	/** 增加 阶段号，默认1,向上累加 */
	private Long stageNumIncrement;

	/** 阶段号，默认1,向上累加 */
	private List<Long> stageNumList;

	/** 版本编码，完成版本串如:G-WMQ.ABC.SSS-H01.00.00 */
	private List<String> verCodeList;

	/** 发布描述 */
	private List<String> publishDescList;

	/** 备注 */
	private List<String> remarkList;

	/** 版本发布人，登录名loginName */
	private List<String> publishUserList;

	/** 开始 版本发布时间 */
	private String publishTimeStart;

	/** 结束 版本发布时间 */
	private String publishTimeEnd;

	/** 源文件地址 */
	private List<String> sourceFilePathList;

	/** 源文件标识号 */
	private List<String> sourceFileTagList;

	/** 发布文件地址 */
	private List<String> publishFilePathList;

	/** 发布文件标识号 */
	private List<String> publishFileTagList;

	/** 开始 发布状态，0待发布，1审核中，2审核通过，3审核不通过，默认0 */
	private Integer publishStatusStart;

	/** 结束 发布状态，0待发布，1审核中，2审核通过，3审核不通过，默认0 */
	private Integer publishStatusEnd;

	/** 增加 发布状态，0待发布，1审核中，2审核通过，3审核不通过，默认0 */
	private Integer publishStatusIncrement;

	/** 发布状态，0待发布，1审核中，2审核通过，3审核不通过，默认0 */
	private List<Integer> publishStatusList;

	/** 实例id，钉钉审批实例id */
	private List<String> processInstanceIdList;

	/** 开始 变更时间 */
	private String updateTimeStart;

	/** 结束 变更时间 */
	private String updateTimeEnd;

	/** 变更用户loginName */
	private List<String> updateUserList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 创建用户loginName */
	private List<String> createUserList;

	/** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
	private List<MateriaBomVersionQuery> orConditionList;

	/** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
	private List<MateriaBomVersionQuery> andConditionList;


	public MateriaBomVersionQuery(){
	}
	/**
	 * 获取 开始 ID，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 ID，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 ID，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 ID，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 ID，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 ID，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 ID，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 ID，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 开始 BOM表ID，默认-1,有BOM产品选择
	 * @return bomIdStart
	 */
	public Long getBomIdStart(){
		return this.bomIdStart;
	}

	/**
	 * 设置 开始 BOM表ID，默认-1,有BOM产品选择
	 * @param bomIdStart
	 */
	public void setBomIdStart(Long bomIdStart){
		this.bomIdStart = bomIdStart;
	}

	/**
	 * 获取 结束 BOM表ID，默认-1,有BOM产品选择
	 * @return bomIdEnd
	 */
	public Long getBomIdEnd(){
		return this.bomIdEnd;
	}

	/**
	 * 设置 结束 BOM表ID，默认-1,有BOM产品选择
	 * @param bomIdEnd
	 */
	public void setBomIdEnd(Long bomIdEnd){
		this.bomIdEnd = bomIdEnd;
	}

	/**
	 * 获取 增加 BOM表ID，默认-1,有BOM产品选择
	 * @return bomIdIncrement
	 */
	public Long getBomIdIncrement(){
		return this.bomIdIncrement;
	}

	/**
	 * 设置 增加 BOM表ID，默认-1,有BOM产品选择
	 * @param bomIdIncrement
	 */
	public void setBomIdIncrement(Long bomIdIncrement){
		this.bomIdIncrement = bomIdIncrement;
	}

	/**
	 * 获取 BOM表ID，默认-1,有BOM产品选择
	 * @return bomIdList
	 */
	public List<Long> getBomIdList(){
		return this.bomIdList;
	}

	/**
	 * 设置 BOM表ID，默认-1,有BOM产品选择
	 * @param bomIdList
	 */
	public void setBomIdList(List<Long> bomIdList){
		this.bomIdList = bomIdList;
	}

	/**
	 * 获取 BOM代码，包含父类目代码，如WMQ.4G
	 * @return bomCodeList
	 */
	public List<String> getBomCodeList(){
		return this.bomCodeList;
	}

	/**
	 * 设置 BOM代码，包含父类目代码，如WMQ.4G
	 * @param bomCodeList
	 */
	public void setBomCodeList(List<String> bomCodeList){
		this.bomCodeList = bomCodeList;
	}

	/**
	 * 获取 开始 所属物料ID
	 * @return materiaIdStart
	 */
	public Long getMateriaIdStart(){
		return this.materiaIdStart;
	}

	/**
	 * 设置 开始 所属物料ID
	 * @param materiaIdStart
	 */
	public void setMateriaIdStart(Long materiaIdStart){
		this.materiaIdStart = materiaIdStart;
	}

	/**
	 * 获取 结束 所属物料ID
	 * @return materiaIdEnd
	 */
	public Long getMateriaIdEnd(){
		return this.materiaIdEnd;
	}

	/**
	 * 设置 结束 所属物料ID
	 * @param materiaIdEnd
	 */
	public void setMateriaIdEnd(Long materiaIdEnd){
		this.materiaIdEnd = materiaIdEnd;
	}

	/**
	 * 获取 增加 所属物料ID
	 * @return materiaIdIncrement
	 */
	public Long getMateriaIdIncrement(){
		return this.materiaIdIncrement;
	}

	/**
	 * 设置 增加 所属物料ID
	 * @param materiaIdIncrement
	 */
	public void setMateriaIdIncrement(Long materiaIdIncrement){
		this.materiaIdIncrement = materiaIdIncrement;
	}

	/**
	 * 获取 所属物料ID
	 * @return materiaIdList
	 */
	public List<Long> getMateriaIdList(){
		return this.materiaIdList;
	}

	/**
	 * 设置 所属物料ID
	 * @param materiaIdList
	 */
	public void setMateriaIdList(List<Long> materiaIdList){
		this.materiaIdList = materiaIdList;
	}

	/**
	 * 获取 所属物料代码
	 * @return materiaCodeList
	 */
	public List<String> getMateriaCodeList(){
		return this.materiaCodeList;
	}

	/**
	 * 设置 所属物料代码
	 * @param materiaCodeList
	 */
	public void setMateriaCodeList(List<String> materiaCodeList){
		this.materiaCodeList = materiaCodeList;
	}

	/**
	 * 获取 公司代号，参数配置-VerCompanyCode格物G,智魔王Z,默认G
	 * @return companyCodeList
	 */
	public List<String> getCompanyCodeList(){
		return this.companyCodeList;
	}

	/**
	 * 设置 公司代号，参数配置-VerCompanyCode格物G,智魔王Z,默认G
	 * @param companyCodeList
	 */
	public void setCompanyCodeList(List<String> companyCodeList){
		this.companyCodeList = companyCodeList;
	}

	/**
	 * 获取 扩展编码，扩展编码，发布时会添加到产品代码后面
	 * @return codeList
	 */
	public List<String> getCodeList(){
		return this.codeList;
	}

	/**
	 * 设置 扩展编码，扩展编码，发布时会添加到产品代码后面
	 * @param codeList
	 */
	public void setCodeList(List<String> codeList){
		this.codeList = codeList;
	}

	/**
	 * 获取 研发类型，参数配置-VerRdCode硬件H，嵌入式E，软件S，产品设计P，默认P
	 * @return rdCodeList
	 */
	public List<String> getRdCodeList(){
		return this.rdCodeList;
	}

	/**
	 * 设置 研发类型，参数配置-VerRdCode硬件H，嵌入式E，软件S，产品设计P，默认P
	 * @param rdCodeList
	 */
	public void setRdCodeList(List<String> rdCodeList){
		this.rdCodeList = rdCodeList;
	}

	/**
	 * 获取 开始 主迭代号，默认1，页面选择
	 * @return verNum01Start
	 */
	public Integer getVerNum01Start(){
		return this.verNum01Start;
	}

	/**
	 * 设置 开始 主迭代号，默认1，页面选择
	 * @param verNum01Start
	 */
	public void setVerNum01Start(Integer verNum01Start){
		this.verNum01Start = verNum01Start;
	}

	/**
	 * 获取 结束 主迭代号，默认1，页面选择
	 * @return verNum01End
	 */
	public Integer getVerNum01End(){
		return this.verNum01End;
	}

	/**
	 * 设置 结束 主迭代号，默认1，页面选择
	 * @param verNum01End
	 */
	public void setVerNum01End(Integer verNum01End){
		this.verNum01End = verNum01End;
	}

	/**
	 * 获取 增加 主迭代号，默认1，页面选择
	 * @return verNum01Increment
	 */
	public Integer getVerNum01Increment(){
		return this.verNum01Increment;
	}

	/**
	 * 设置 增加 主迭代号，默认1，页面选择
	 * @param verNum01Increment
	 */
	public void setVerNum01Increment(Integer verNum01Increment){
		this.verNum01Increment = verNum01Increment;
	}

	/**
	 * 获取 主迭代号，默认1，页面选择
	 * @return verNum01List
	 */
	public List<Integer> getVerNum01List(){
		return this.verNum01List;
	}

	/**
	 * 设置 主迭代号，默认1，页面选择
	 * @param verNum01List
	 */
	public void setVerNum01List(List<Integer> verNum01List){
		this.verNum01List = verNum01List;
	}

	/**
	 * 获取 开始 次迭代号，默认0，页面选择
	 * @return verNum02Start
	 */
	public Integer getVerNum02Start(){
		return this.verNum02Start;
	}

	/**
	 * 设置 开始 次迭代号，默认0，页面选择
	 * @param verNum02Start
	 */
	public void setVerNum02Start(Integer verNum02Start){
		this.verNum02Start = verNum02Start;
	}

	/**
	 * 获取 结束 次迭代号，默认0，页面选择
	 * @return verNum02End
	 */
	public Integer getVerNum02End(){
		return this.verNum02End;
	}

	/**
	 * 设置 结束 次迭代号，默认0，页面选择
	 * @param verNum02End
	 */
	public void setVerNum02End(Integer verNum02End){
		this.verNum02End = verNum02End;
	}

	/**
	 * 获取 增加 次迭代号，默认0，页面选择
	 * @return verNum02Increment
	 */
	public Integer getVerNum02Increment(){
		return this.verNum02Increment;
	}

	/**
	 * 设置 增加 次迭代号，默认0，页面选择
	 * @param verNum02Increment
	 */
	public void setVerNum02Increment(Integer verNum02Increment){
		this.verNum02Increment = verNum02Increment;
	}

	/**
	 * 获取 次迭代号，默认0，页面选择
	 * @return verNum02List
	 */
	public List<Integer> getVerNum02List(){
		return this.verNum02List;
	}

	/**
	 * 设置 次迭代号，默认0，页面选择
	 * @param verNum02List
	 */
	public void setVerNum02List(List<Integer> verNum02List){
		this.verNum02List = verNum02List;
	}

	/**
	 * 获取 开始 修正迭代号，默认0，页面选择
	 * @return verNum03Start
	 */
	public Integer getVerNum03Start(){
		return this.verNum03Start;
	}

	/**
	 * 设置 开始 修正迭代号，默认0，页面选择
	 * @param verNum03Start
	 */
	public void setVerNum03Start(Integer verNum03Start){
		this.verNum03Start = verNum03Start;
	}

	/**
	 * 获取 结束 修正迭代号，默认0，页面选择
	 * @return verNum03End
	 */
	public Integer getVerNum03End(){
		return this.verNum03End;
	}

	/**
	 * 设置 结束 修正迭代号，默认0，页面选择
	 * @param verNum03End
	 */
	public void setVerNum03End(Integer verNum03End){
		this.verNum03End = verNum03End;
	}

	/**
	 * 获取 增加 修正迭代号，默认0，页面选择
	 * @return verNum03Increment
	 */
	public Integer getVerNum03Increment(){
		return this.verNum03Increment;
	}

	/**
	 * 设置 增加 修正迭代号，默认0，页面选择
	 * @param verNum03Increment
	 */
	public void setVerNum03Increment(Integer verNum03Increment){
		this.verNum03Increment = verNum03Increment;
	}

	/**
	 * 获取 修正迭代号，默认0，页面选择
	 * @return verNum03List
	 */
	public List<Integer> getVerNum03List(){
		return this.verNum03List;
	}

	/**
	 * 设置 修正迭代号，默认0，页面选择
	 * @param verNum03List
	 */
	public void setVerNum03List(List<Integer> verNum03List){
		this.verNum03List = verNum03List;
	}

	/**
	 * 获取 阶段标识，参数配置-VerStageCode
	 * @return stageList
	 */
	public List<String> getStageList(){
		return this.stageList;
	}

	/**
	 * 设置 阶段标识，参数配置-VerStageCode
	 * @param stageList
	 */
	public void setStageList(List<String> stageList){
		this.stageList = stageList;
	}

	/**
	 * 获取 开始 阶段号，默认1,向上累加
	 * @return stageNumStart
	 */
	public Long getStageNumStart(){
		return this.stageNumStart;
	}

	/**
	 * 设置 开始 阶段号，默认1,向上累加
	 * @param stageNumStart
	 */
	public void setStageNumStart(Long stageNumStart){
		this.stageNumStart = stageNumStart;
	}

	/**
	 * 获取 结束 阶段号，默认1,向上累加
	 * @return stageNumEnd
	 */
	public Long getStageNumEnd(){
		return this.stageNumEnd;
	}

	/**
	 * 设置 结束 阶段号，默认1,向上累加
	 * @param stageNumEnd
	 */
	public void setStageNumEnd(Long stageNumEnd){
		this.stageNumEnd = stageNumEnd;
	}

	/**
	 * 获取 增加 阶段号，默认1,向上累加
	 * @return stageNumIncrement
	 */
	public Long getStageNumIncrement(){
		return this.stageNumIncrement;
	}

	/**
	 * 设置 增加 阶段号，默认1,向上累加
	 * @param stageNumIncrement
	 */
	public void setStageNumIncrement(Long stageNumIncrement){
		this.stageNumIncrement = stageNumIncrement;
	}

	/**
	 * 获取 阶段号，默认1,向上累加
	 * @return stageNumList
	 */
	public List<Long> getStageNumList(){
		return this.stageNumList;
	}

	/**
	 * 设置 阶段号，默认1,向上累加
	 * @param stageNumList
	 */
	public void setStageNumList(List<Long> stageNumList){
		this.stageNumList = stageNumList;
	}

	/**
	 * 获取 版本编码，完成版本串如:G-WMQ.ABC.SSS-H01.00.00
	 * @return verCodeList
	 */
	public List<String> getVerCodeList(){
		return this.verCodeList;
	}

	/**
	 * 设置 版本编码，完成版本串如:G-WMQ.ABC.SSS-H01.00.00
	 * @param verCodeList
	 */
	public void setVerCodeList(List<String> verCodeList){
		this.verCodeList = verCodeList;
	}

	/**
	 * 获取 发布描述
	 * @return publishDescList
	 */
	public List<String> getPublishDescList(){
		return this.publishDescList;
	}

	/**
	 * 设置 发布描述
	 * @param publishDescList
	 */
	public void setPublishDescList(List<String> publishDescList){
		this.publishDescList = publishDescList;
	}

	/**
	 * 获取 备注
	 * @return remarkList
	 */
	public List<String> getRemarkList(){
		return this.remarkList;
	}

	/**
	 * 设置 备注
	 * @param remarkList
	 */
	public void setRemarkList(List<String> remarkList){
		this.remarkList = remarkList;
	}

	/**
	 * 获取 版本发布人，登录名loginName
	 * @return publishUserList
	 */
	public List<String> getPublishUserList(){
		return this.publishUserList;
	}

	/**
	 * 设置 版本发布人，登录名loginName
	 * @param publishUserList
	 */
	public void setPublishUserList(List<String> publishUserList){
		this.publishUserList = publishUserList;
	}

	/**
	 * 获取 开始 版本发布时间
	 * @return publishTimeStart
	 */
	public String getPublishTimeStart(){
		return this.publishTimeStart;
	}

	/**
	 * 设置 开始 版本发布时间
	 * @param publishTimeStart
	 */
	public void setPublishTimeStart(String publishTimeStart){
		this.publishTimeStart = publishTimeStart;
	}

	/**
	 * 获取 结束 版本发布时间
	 * @return publishTimeEnd
	 */
	public String getPublishTimeEnd(){
		return this.publishTimeEnd;
	}

	/**
	 * 设置 结束 版本发布时间
	 * @param publishTimeEnd
	 */
	public void setPublishTimeEnd(String publishTimeEnd){
		this.publishTimeEnd = publishTimeEnd;
	}

	/**
	 * 获取 源文件地址
	 * @return sourceFilePathList
	 */
	public List<String> getSourceFilePathList(){
		return this.sourceFilePathList;
	}

	/**
	 * 设置 源文件地址
	 * @param sourceFilePathList
	 */
	public void setSourceFilePathList(List<String> sourceFilePathList){
		this.sourceFilePathList = sourceFilePathList;
	}

	/**
	 * 获取 源文件标识号
	 * @return sourceFileTagList
	 */
	public List<String> getSourceFileTagList(){
		return this.sourceFileTagList;
	}

	/**
	 * 设置 源文件标识号
	 * @param sourceFileTagList
	 */
	public void setSourceFileTagList(List<String> sourceFileTagList){
		this.sourceFileTagList = sourceFileTagList;
	}

	/**
	 * 获取 发布文件地址
	 * @return publishFilePathList
	 */
	public List<String> getPublishFilePathList(){
		return this.publishFilePathList;
	}

	/**
	 * 设置 发布文件地址
	 * @param publishFilePathList
	 */
	public void setPublishFilePathList(List<String> publishFilePathList){
		this.publishFilePathList = publishFilePathList;
	}

	/**
	 * 获取 发布文件标识号
	 * @return publishFileTagList
	 */
	public List<String> getPublishFileTagList(){
		return this.publishFileTagList;
	}

	/**
	 * 设置 发布文件标识号
	 * @param publishFileTagList
	 */
	public void setPublishFileTagList(List<String> publishFileTagList){
		this.publishFileTagList = publishFileTagList;
	}

	/**
	 * 获取 开始 发布状态，0待发布，1审核中，2审核通过，3审核不通过，默认0
	 * @return publishStatusStart
	 */
	public Integer getPublishStatusStart(){
		return this.publishStatusStart;
	}

	/**
	 * 设置 开始 发布状态，0待发布，1审核中，2审核通过，3审核不通过，默认0
	 * @param publishStatusStart
	 */
	public void setPublishStatusStart(Integer publishStatusStart){
		this.publishStatusStart = publishStatusStart;
	}

	/**
	 * 获取 结束 发布状态，0待发布，1审核中，2审核通过，3审核不通过，默认0
	 * @return publishStatusEnd
	 */
	public Integer getPublishStatusEnd(){
		return this.publishStatusEnd;
	}

	/**
	 * 设置 结束 发布状态，0待发布，1审核中，2审核通过，3审核不通过，默认0
	 * @param publishStatusEnd
	 */
	public void setPublishStatusEnd(Integer publishStatusEnd){
		this.publishStatusEnd = publishStatusEnd;
	}

	/**
	 * 获取 增加 发布状态，0待发布，1审核中，2审核通过，3审核不通过，默认0
	 * @return publishStatusIncrement
	 */
	public Integer getPublishStatusIncrement(){
		return this.publishStatusIncrement;
	}

	/**
	 * 设置 增加 发布状态，0待发布，1审核中，2审核通过，3审核不通过，默认0
	 * @param publishStatusIncrement
	 */
	public void setPublishStatusIncrement(Integer publishStatusIncrement){
		this.publishStatusIncrement = publishStatusIncrement;
	}

	/**
	 * 获取 发布状态，0待发布，1审核中，2审核通过，3审核不通过，默认0
	 * @return publishStatusList
	 */
	public List<Integer> getPublishStatusList(){
		return this.publishStatusList;
	}

	/**
	 * 设置 发布状态，0待发布，1审核中，2审核通过，3审核不通过，默认0
	 * @param publishStatusList
	 */
	public void setPublishStatusList(List<Integer> publishStatusList){
		this.publishStatusList = publishStatusList;
	}

	/**
	 * 获取 实例id，钉钉审批实例id
	 * @return processInstanceIdList
	 */
	public List<String> getProcessInstanceIdList(){
		return this.processInstanceIdList;
	}

	/**
	 * 设置 实例id，钉钉审批实例id
	 * @param processInstanceIdList
	 */
	public void setProcessInstanceIdList(List<String> processInstanceIdList){
		this.processInstanceIdList = processInstanceIdList;
	}

	/**
	 * 获取 开始 变更时间
	 * @return updateTimeStart
	 */
	public String getUpdateTimeStart(){
		return this.updateTimeStart;
	}

	/**
	 * 设置 开始 变更时间
	 * @param updateTimeStart
	 */
	public void setUpdateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
	}

	/**
	 * 获取 结束 变更时间
	 * @return updateTimeEnd
	 */
	public String getUpdateTimeEnd(){
		return this.updateTimeEnd;
	}

	/**
	 * 设置 结束 变更时间
	 * @param updateTimeEnd
	 */
	public void setUpdateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUserList
	 */
	public List<String> getUpdateUserList(){
		return this.updateUserList;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUserList
	 */
	public void setUpdateUserList(List<String> updateUserList){
		this.updateUserList = updateUserList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUserList
	 */
	public List<String> getCreateUserList(){
		return this.createUserList;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUserList
	 */
	public void setCreateUserList(List<String> createUserList){
		this.createUserList = createUserList;
	}

	/**
	 * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @return orConditionList
	 */
	public List<MateriaBomVersionQuery> getOrConditionList(){
		return this.orConditionList;
	}

	/**
	 * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @param orConditionList
	 */
	public void setOrConditionList(List<MateriaBomVersionQuery> orConditionList){
		this.orConditionList = orConditionList;
	}

	/**
	 * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @return andConditionList
	 */
	public List<MateriaBomVersionQuery> getAndConditionList(){
		return this.andConditionList;
	}

	/**
	 * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @param andConditionList
	 */
	public void setAndConditionList(List<MateriaBomVersionQuery> andConditionList){
		this.andConditionList = andConditionList;
	}


}